---
title: AnimationPlaybackEvent
slug: Web/API/AnimationPlaybackEvent
tags:
  - API
  - Animation
  - AnimationPlaybackEvent
  - Experimental
  - Interface
  - Reference
  - events
  - waapi
  - web animations api
---
<p>{{ SeeCompatTable() }}{{ APIRef("Web Animations API") }}</p>

<p>The AnimationPlaybackEvent interface of the <a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a> represents animation events.</p>

<p>As animations play, they report changes to their {{domxref("Animation.playState", "playState")}} through animation events.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{domxref("AnimationPlaybackEvent.AnimationPlaybackEvent()")}}</dt>
 <dd>Constructs a new <code>AnimationPlaybackEvent</code> object instance.</dd>
</dl>

<h2 id="Attributes">Attributes</h2>

<dl>
 <dt>{{domxref("AnimationPlaybackEvent.currentTime")}}</dt>
 <dd>The current time of the animation that generated the event.</dd>
 <dt>{{domxref("AnimationPlaybackEvent.timelineTime")}}</dt>
 <dd>The time value of the timeline of the animation that generated the event.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#the-animationplaybackevent-interface', 'AnimationPlaybackEvent' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AnimationPlaybackEvent")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Animation.playState")}}</li>
</ul>
